# kdecore Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KAccelManagerAlgorithm Class Reference

This class encapsulates the algorithm finding the 'best' distribution of accelerators in a hierarchy of widgets. More...

`#include <kaccelmanager_private.h>`

List of all members.

## Public Types

enum | { DEFAULT_WEIGHT = 50, FIRST_CHARACTER_EXTRA_WEIGHT = 50, WORD_BEGINNING_EXTRA_WEIGHT = 50, DIALOG_BUTTON_EXTRA_WEIGHT = 300, WANTED_ACCEL_EXTRA_WEIGHT = 150, ACTION_ELEMENT_WEIGHT = 50, GROUP_BOX_WEIGHT = -2000, MENU_TITLE_WEIGHT = 250, STANDARD_ACCEL = 300 }

## Static Public Member Functions

static void | findAccelerators (KAccelStringList &result, QString &used)

## Detailed Description

This class encapsulates the algorithm finding the 'best' distribution of accelerators in a hierarchy of widgets.

Author:
  Matthias H�zer-Klpfel <mhk@kde.org>

Definition at line 90 of file kaccelmanager_private.h.

The documentation for this class was generated from the following files:

- kaccelmanager_private.h
- kaccelmanager.cpp

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:18:16 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003